org.apache.calcite.avatica.remote

## Class Service.OpenConnectionRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.OpenConnectionRequest

Enclosing interface:
  Service

    public static class Service.OpenConnectionRequest
    extends Service.Request

Request for `Meta.openConnection(org.apache.calcite.avatica.Meta.ConnectionHandle, java.util.Map<java.lang.String, java.lang.String>)`.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`String` `connectionId`
`Map<String,String>` `info`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.OpenConnectionRequest()`
`Service.OpenConnectionRequest(String connectionId, Map<String,String> info)`

### Method Summary

Methods
`(package private) Service.OpenConnectionResponse` `accept(Service service)`
`(package private) Service.Request` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) com.google.protobuf.Message` `serialize()`
`static Map<String,String>` `serializeProperties(Properties props)` Serializes the necessary properties into a Map.

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### connectionId

    public final String connectionId

#### info

    public final Map<String,String> info

### Constructor Detail

#### Service.OpenConnectionRequest

    public Service.OpenConnectionRequest()

#### Service.OpenConnectionRequest

    public Service.OpenConnectionRequest(String connectionId,
                                 Map<String,String> info)

### Method Detail

#### accept

    Service.OpenConnectionResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### serializeProperties

    public static Map<String,String> serializeProperties(Properties props)

Serializes the necessary properties into a Map.

Parameters:
  `props` - The properties to serialize.
Returns:
  A representation of the Properties as a Map.

#### deserialize

    Service.Request deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    com.google.protobuf.Message serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`